declare namespace CollectionAndWrongType {
  // enum CarType {
  //   a = "小车",
  //   b = "客车",
  //   c = "货车",
  //   d = "摩托车",
  // }
  type type = "collection" | "wrong";
  type CarType = "小车" | "客车" | "货车" | "摩托车";
  type Km = "科目一" | "科目二" | "科目三" | "科目四";

  interface Question {
    carType: CarType;
    km: Km;
    questionId: number;
  }

  interface ListParams extends Common.Paging {
    carType?: CarType;
    km?: Km;
  }

  interface QuestionRes extends Question {
    id: number;
    userId: number;
  }

  interface ListRes extends Common.Res {
    rows: QuestionRes[];
    total: number;
  }

  type AddCullectionsParams = Question[];

  interface AddCullectionsRes extends Common.Res {
    data: number;
  }
}
